Recovery mode: lsusb reports the nvidia connected, but no ip 192.168.55.1 reachable

I’m initializing a jetson xavier agx developer kit with the sdkmanager on a Ubunti 18.04.2 LTS installed on my laptop.

The first initialization with sdkmanager succesfully installed the Jetson OS but I noticed a LOT of copy errors during the installation. The sdkmanager failed the installation of the jetson sdk component. When I tried the image it was incredibly slow and the display port over usbc didn’t worked. From the repository (ubuntu ports, all enabled: main, restricted, universe and multiverse) I was unable to install cmake (! cmake package not found !). So I decided to flash again the jetson.

When on normal boot, the xavier shows itself in the ubuntu via 192.168.55.1 (device enp0s20f0u4 on ubuntu host), but if I go in recovery mode, the lsusb shows the xavier connected (lsusb, device 0955:7020 Nvidia Corp.) but the ethernet over usb is not connected.

To enter in recovery mode I tried the normal way, a force reboot and also the reset + recovery when already in recovery. I think I finished my options. I also tried a different host usb port, a different host and a different usb cable with no success. Any hints?

EDIT connection on usb for serial console (/dev/ttyUSB3 115200 8N1) shows nothing on recovery boot

There was a recent bug in an Ubuntu update for bzip2. You probably ran into this if you saw copy errors:
[url]Jetpack 4.2 Xavier Install Failed - Jetson AGX Xavier - NVIDIA Developer Forums

I don’t know about the CMake issue.

Flash and virtual ethernet are completely different stages. The two are mutually exclusive. Recovery mode is not a normal boot, and virtual ethernet only occurs after flash completes and the Jetson reboots. During flash no ethernet over USB would be detected. Extra packages and flash are completely independent of each other.

Check out the bzip2 Ubuntu bug, and once this is working, then I’d expect flash will succeed.

I tried, but it didn’t solved the issue. I had the “Drivers for Jetson AGX” (the stage with problems for libbz2) extracted without CRC errors.

At the flashing I’m getting the pop-up: “Could not detect the target hardware. Please make sure the target hardware is connected and it is in recovery mode, click OK and RETRY”.

Also I found in the logs this two error (that refers to the virtual ethernet address because it is making a scp, which is failing and ignoring) in the log NV_L4T_FLASH_XAVIER_WITH_OS_IMAGE_COMP.log:

Info: [ Disk Avail:29.22 GB ]
Info: change working directory to /home/mr/nvidia/nvidia_sdk/JetPack_4.2_Linux_P2888/Linux_for_Tegra
Info: [ Component Install Started ]
Info: current working directory is /home/mr/nvidia/nvidia_sdk/JetPack_4.2_Linux_P2888/Linux_for_Tegra
Info: exec_command [target]:
**********************
#!/bin/bash
set -e

function safe_apt_install {
echo "*begin $1, $2"
tmp_log=/tmp/jetpack_dpkg_log.txt
sudo rm -f $tmp_log
set +e; $1 2>&1 | tee $tmp_log; CMD_STATUS=${PIPESTATUS[0]}; set -e
while [ ${CMD_STATUS} -ne 0 ]; do
if grep -q -e "is locked by another process" -e "E: Could not get lock /var/lib" $tmp_log; then
sudo rm -f $tmp_log
set +e; $1 2>&1 | tee $tmp_log; CMD_STATUS=${PIPESTATUS[0]}; set -e
echo "Waiting $2 seconds for apt to be available"; sleep ${2}
else
echo "Unhandled error when running $1"; exit 1
fi
done
}
export LC_ALL=en_US.UTF-8 LANG=en_US.UTF-8 LANGUAGE=en_US.UTF-8
sudo reboot forced-recovery
**********************
Info: exec_command: scp -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no /tmp/tmp_NV_L4T_FLASH_XAVIER_WITH_OS_IMAGE_COMP.sh nvidia@192.168.55.1:~; ssh -t -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no nvidia@192.168.55.1 "~/tmp_NV_L4T_FLASH_XAVIER_WITH_OS_IMAGE_COMP.sh && rm -f ~/tmp_NV_L4T_FLASH_XAVIER_WITH_OS_IMAGE_COMP.sh"
Warning: command scp -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no /tmp/tmp_NV_L4T_FLASH_XAVIER_WITH_OS_IMAGE_COMP.sh nvidia@192.168.55.1:~; ssh -t -q -o UserKnownHostsFile=/dev/null -o StrictHostKeyChecking=no nvidia@192.168.55.1 "~/tmp_NV_L4T_FLASH_XAVIER_WITH_OS_IMAGE_COMP.sh && rm -f ~/tmp_NV_L4T_FLASH_XAVIER_WITH_OS_IMAGE_COMP.sh" finished with error, but ignored
Info: exec_command: sleep 20
Info: exec_command: sudo ./flash.sh jetson-xavier mmcblk0p1
###############################################################################
# L4T BSP Information:
# R32 (release), REVISION: 1.0, GCID: 14531094, BOARD: t186ref, EABI: aarch64, 
# DATE: Wed Mar 13 07:41:08 UTC 2019
###############################################################################
Error: probing the target board failed.
Make sure the target board is connected through 
USB port and is in recovery mode.
Info: [ Component Install Finished with Error ]
Error: NV_L4T_FLASH_XAVIER_WITH_OS_IMAGE_COMP command sudo ./flash.sh jetson-xavier mmcblk0p1 finished with error

Info: [ 12.00 KB used. Disk Avail: 29.22 GB ]
Info: [ NV_L4T_FLASH_XAVIER_WITH_OS_IMAGE_COMP Install took 4m47s ]

Again, the board is in recovery, and it is listed in lsusb.

EDIT: tried also a complete uninstall e retry and it fails again at the same point…

The logs are from flash, and ethernet is irrelevant for that particular step. It is in fact impossible to use ethernet with a Jetson when it is in recovery mode, and it is impossible to detect a Jetson if not in recovery mode. I do see this, which makes me wonder about disk space, though this is perhaps not related:

Info: [ 12.00 KB used. Disk Avail: 29.22 GB ]

…if you have 29GB at start of flash, then a successful flash would completely fill your hard disk. There would be no warning, and the flashed system might be partially truncated.

Can I verify this is the development kit? Can I also verify the host is not a VM and is a full native Ubuntu install? VMs tend to fail USB.

Also, are you positive the unit was in recovery mode?

Once you have flashed the system you need to connect with a monitor/mouse/keyboard and let Ubuntu install finish (the first boot where you set a user/password etc)

After that, just run an ifconfig and use the IP address that gets reported back - this worked for me.

@linuxdev

The host is a full Ubuntu install on a 128GB drive and it has more than 40GB free when the error appears.
I’m positive about the recovery (product id is 0719, in a normal run is 0720)

At the end I solved by changing the host hardware. The new host failed the first attempt, but completed correctly a second flash try. However the procedure was a bit strange: for the first flash attempt I started the sdkmanager with the xavier in recovery, and it failed with the usual popup: “Could not detect the target hardware. Please make sure the target hardware is connected and it is in recovery mode, click OK and RETRY”. Then, I tried launching the sdk manager with xavier in normal boot, and instead the popup requested to select if flash in automatic mode or in manual mode. In that moment, I restarted the xavier in recovery (recovery + reset buttons), selected manual mode, and the procedure completed smootly.

At this point, my best bet is that there was a problem with the first host.